<bugID>420515<Summary>Revert RSS icon back to the universally recognized icon</Summary><Description>The new icon is ugly, does not fit in and changes from the universally identifiable icon that Mozilla designed and got set as the standard for RSS feeds.  And why is it blue on Mac?</Description></bugID>